# Interface HasAttributes

All Known Subinterfaces:
  `ArtifactTypeDefinition, ArtifactView, ArtifactView.ViewConfiguration, AttributeContainer, Configuration, ConfigurationPublications, ConfigurationVariant, DependencyConstraint, HasConfigurableAttributes<SELF>, ResolvableDependencies`

@Incubating public interface HasAttributes
Represents something that carries attributes by utilizing an `AttributeContainer`

Since:
  3.3

## Method Summary

Modifier and Type
Method
Description
`AttributeContainer`
`getAttributes()`
Returns the attributes

## Method Details

### getAttributes

@Incubating AttributeContainer getAttributes()
Returns the attributes